[SOLVED] Banshee Won't Install, Run, or Uninstall

Questions about applications and software
Forum rules
Before you post please read how to get help
User avatar
Joe2Shoe
Level 2
Level 2
Posts: 74
Joined: Wed Oct 18, 2017 8:12 pm
Location: Ozone

[SOLVED] Banshee Won't Install, Run, or Uninstall

Postby Joe2Shoe » Wed Nov 08, 2017 4:18 pm

I never used Banshee, always use VLC for audio/video files, so I removed Banshee quite a while back.
Now I need Banshee to copy music files to my iPhone, since I haven't found another way to do that.

Banshee will not install (via Terminal, Software Manaer, or Synaptic Package Manager), run, or completely uninstall after a failed install.
sudo apt-get install banshee

Errors in Terminal on removal of Banshee:
dpkg: error processing package banshee (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
libnewtonsoft-json5.0-cil
libgdata2.1-cil
libglib2.0-cil
libgtk2.0-cil
libgconf2.0-cil
libgkeyfile1.0-cil
libgtk-sharp-beans-cil
libgudev1.0-cil
libnotify0.4-cil
banshee
E: Sub-process /usr/bin/dpkg returned an error code (1)

Errors in Synaptic Package Manager on removal of Banshee:
E: libgdata2.1-cil: subprocess installed post-removal script returned error exit status 1
E: libnewtonsoft-json5.0-cil: subprocess installed post-removal script returned error exit status 1

Does anyone have any suggestions, which are greatly appreciated?
Last edited by Moem on Wed Nov 08, 2017 5:53 pm, edited 1 time in total.
Reason: Marked as SOLVED, please do this for your own topics, thanks!
"Tolerance is the refuge of men without conviction."
"Common sense is not so common" - Voltaire

User avatar
phd21
Level 14
Level 14
Posts: 5025
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: Banshee Won't Install, Run, or Uninstall

Postby phd21 » Wed Nov 08, 2017 4:32 pm

Hi "Joe2Shoe",

It would help to know more about your system setup. If you run "inxi -Fxzd" and "lsusb" from the console terminal prompt, highlight the results, copy and paste them back here, that should provide enough information.

If you go into the "Synaptic Package Manager (SPM)" and search for "iphone", you will see various packages you can install and try. Depending on how new your "iPhone" is, you may have to find an alternate method(s) for transferring files to and from your Apple iPhone or iPad, etc...

See this recent post:
https://forums.linuxmint.com/viewtopic.php?f=208&t=253452&hilit=dukto


Banshee is in the Software Manager or Synaptic Package Manager (SPM), so it should be easy to install it? You could try purging it first (remove completely) using the command below.

Code: Select all

sudo apt-get purge banshee


Then, re-install it

Code: Select all

sudo apt-get install banshee



Hope this helps ...
Phd21: Mint KDE 17.3 & 18.2, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,3gb Ram,160gb hdd, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

User avatar
minitux
Level 5
Level 5
Posts: 677
Joined: Tue Sep 12, 2017 10:05 am

Re: Banshee Won't Install, Run, or Uninstall

Postby minitux » Wed Nov 08, 2017 4:46 pm

try this, remove postremoval script for the two packages in the error
Joe2Shoe wrote:Errors in Synaptic Package Manager on removal of Banshee:
E: libgdata2.1-cil: subprocess installed post-removal script returned error exit status 1
E: libnewtonsoft-json5.0-cil: subprocess installed post-removal script returned error exit status 1

Code: Select all

sudo rm /var/lib/dpkg/info/libgdata2.1-cil.postrm

Code: Select all

sudo rm /var/lib/dpkg/info/libnewtonsoft-json5.0-cil.postrm

Then

Code: Select all

sudo apt-get install -f
and post all the output
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

User avatar
Joe2Shoe
Level 2
Level 2
Posts: 74
Joined: Wed Oct 18, 2017 8:12 pm
Location: Ozone

Re: Banshee Won't Install, Run, or Uninstall

Postby Joe2Shoe » Wed Nov 08, 2017 4:53 pm

phd21, per your request:

Code: Select all

inspiron@inspiron-1501 ~ $ inxi -Fxzd
[sudo] password for inspiron:
System:    Host: inspiron-1501 Kernel: 4.13.0-16-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Cinnamon 3.4.6 (Gtk 3.18.9-1ubuntu3.3)
           Distro: Linux Mint 18.2 Sonya
Machine:   System: Dell product: Vostro 1000
           Mobo: Dell model: 0CR584 Bios: Dell v: 2.6.3 date: 12/07/2007
CPU:       Dual core AMD Turion 64 X2 Mobile TL-64 (-MCP-) cache: 1024 KB
           flags: (lm nx sse sse2 sse3 svm) bmips: 6384
           clock speeds: max: 2200 MHz 1: 2194 MHz 2: 2194 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] RS482M [Mobility Radeon Xpress 200]
           bus-ID: 01:05.0
           Display Server: X.org 1.18.4 drivers: ati,radeon (unloaded: fbdev,vesa)
           tty size: 80x24 Advanced Data: N/A for root
Audio:     Card Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA)
           driver: snd_hda_intel bus-ID: 00:14.2
           Sound: Advanced Linux Sound Architecture v: k4.13.0-16-generic
Network:   Card-1: Broadcom BCM4311 802.11b/g WLAN
           driver: b43-pci-bridge bus-ID: 05:00.0
           IF: wlan0 state: up mac: <filter>
           Card-2: Broadcom BCM4401-B0 100Base-TX
           driver: b44 v: 2.0 bus-ID: 08:00.0
           IF: eth0 state: down mac: <filter>
Drives:    HDD Total Size: 500.1GB (26.9% used)
           ID-1: /dev/sda model: ST500LT012 size: 500.1GB temp: 49C
           Optical: /dev/sr0 model: TEAC CDRWDVD DW224EV
           rev: D.CF dev-links: cdrom,cdrw,dvd
           Features: speed: 24x multisession: yes
           audio: yes dvd: yes rw: cd-r,cd-rw state: running
Partition: ID-1: / size: 63G used: 13G (21%) fs: ext4 dev: /dev/sda5
           ID-2: /home size: 92G used: 3.4G (4%) fs: ext4 dev: /dev/sda6
           ID-3: /boot size: 1.9G used: 190M (11%) fs: ext4 dev: /dev/sda1
           ID-4: swap-1 size: 8.80GB used: 0.00GB (0%) fs: swap dev: /dev/dm-0
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 50.0C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 221 Uptime: 2:29 Memory: 1292.3/3821.5MB
           Init: systemd runlevel: 5 Gcc sys: 5.4.0
           Client: Shell (sudo) inxi: 2.2.35

inspiron@inspiron-1501 ~ $ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Last edited by Moem on Wed Nov 08, 2017 5:52 pm, edited 1 time in total.
Reason: [code] tags added for easier reading
"Tolerance is the refuge of men without conviction."
"Common sense is not so common" - Voltaire

User avatar
Joe2Shoe
Level 2
Level 2
Posts: 74
Joined: Wed Oct 18, 2017 8:12 pm
Location: Ozone

Re: Banshee Won't Install, Run, or Uninstall

Postby Joe2Shoe » Wed Nov 08, 2017 4:59 pm

minitux, per your request:

inspiron@inspiron-1501 ~ $ sudo rm /var/lib/dpkg/info/libgdata2.1-cil.postrm

inspiron@inspiron-1501 ~ $ sudo rm /var/lib/dpkg/info/libnewtonsoft-json5.0-cil.postrm

inspiron@inspiron-1501 ~ $ sudo apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
libgdata2.1-cil libglib2.0-cil libgtk2.0-cil libnewtonsoft-json5.0-cil
0 upgraded, 0 newly installed, 4 to remove and 0 not upgraded.
4 not fully installed or removed.
After this operation, 3,940 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 310514 files and directories currently installed.)
Removing libgdata2.1-cil (2.2.0.0-2build1) ...
Removing libgtk2.0-cil (2.12.10-6) ...
rm: cannot remove '/usr/share/cli-common/packages.d/policy.2.8.pango-sharp.installcligac': No such file or directory
dpkg: error processing package libgtk2.0-cil (--remove):
subprocess installed post-removal script returned error exit status 1
Removing libglib2.0-cil (2.12.10-6) ...
rm: cannot remove '/usr/share/cli-common/packages.d/policy.2.6.glib-sharp.installcligac': No such file or directory
dpkg: error processing package libglib2.0-cil (--remove):
subprocess installed post-removal script returned error exit status 1
Removing libnewtonsoft-json5.0-cil (6.0.8+dfsg-1) ...
Errors were encountered while processing:
libgtk2.0-cil
libglib2.0-cil
E: Sub-process /usr/bin/dpkg returned an error code (1)
"Tolerance is the refuge of men without conviction."
"Common sense is not so common" - Voltaire

User avatar
Joe2Shoe
Level 2
Level 2
Posts: 74
Joined: Wed Oct 18, 2017 8:12 pm
Location: Ozone

Re: Banshee Won't Install, Run, or Uninstall

Postby Joe2Shoe » Wed Nov 08, 2017 5:05 pm

phd21,
These 2 command left errors, removing and uninstalling Banshee.

Install banshee
sudo apt-get purge banshee

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
banshee* libglib2.0-cil libgtk2.0-cil
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 2,637 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 310514 files and directories currently installed.)
Removing libgtk2.0-cil (2.12.10-6) ...
rm: cannot remove '/usr/share/cli-common/packages.d/policy.2.8.pango-sharp.installcligac': No such file or directory
dpkg: error processing package libgtk2.0-cil (--remove):
subprocess installed post-removal script returned error exit status 1
Removing libglib2.0-cil (2.12.10-6) ...
rm: cannot remove '/usr/share/cli-common/packages.d/policy.2.6.glib-sharp.installcligac': No such file or directory
dpkg: error processing package libglib2.0-cil (--remove):
subprocess installed post-removal script returned error exit status 1
Errors were encountered while processing:
libgtk2.0-cil
libglib2.0-cil
E: Sub-process /usr/bin/dpkg returned an error code (1)

Then, re-install it
sudo apt-get install banshee

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
banshee : Depends: libgtk-sharp-beans-cil but it is not going to be installed
Depends: libgtk2.0-cil (>= 2.12.10-1ubuntu1) but it is not going to be installed
Depends: libnotify0.4-cil (>= 0.4.0~r2998) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
"Tolerance is the refuge of men without conviction."
"Common sense is not so common" - Voltaire

User avatar
minitux
Level 5
Level 5
Posts: 677
Joined: Tue Sep 12, 2017 10:05 am

Re: Banshee Won't Install, Run, or Uninstall

Postby minitux » Wed Nov 08, 2017 5:15 pm

you still have two packets in error postremoval, you have to fix the errors first
Joe2Shoe wrote:dpkg: error processing package libgtk2.0-cil (--remove):
subprocess installed post-removal script returned error exit status 1
Removing libglib2.0-cil (2.12.10-6) ...
rm: cannot remove '/usr/share/cli-common/packages.d/policy.2.6.glib-sharp.installcligac': No such file or directory
dpkg: error processing package libglib2.0-cil (--remove):
subprocess installed post-removal script returned error exit status 1
Errors were encountered while processing:
libgtk2.0-cil
libglib2.0-cil

Code: Select all

sudo rm /var/lib/dpkg/info/libgtk2.0-cil.postrm

Code: Select all

sudo rm /var/lib/dpkg/info/libglib2.0-cil.postrm

Code: Select all

sudo apt-get install -f
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

User avatar
Joe2Shoe
Level 2
Level 2
Posts: 74
Joined: Wed Oct 18, 2017 8:12 pm
Location: Ozone

Re: Banshee Won't Install, Run, or Uninstall

Postby Joe2Shoe » Wed Nov 08, 2017 5:29 pm

minitux,

sudo rm /var/lib/dpkg/info/libgtk2.0-cil.postrm

inspiron@inspiron-1501 ~ $ sudo rm /var/lib/dpkg/info/libglib2.0-cil.postrm

inspiron@inspiron-1501 ~ $ sudo apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
libglib2.0-cil libgtk2.0-cil
0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 2,637 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 310514 files and directories currently installed.)
Removing libgtk2.0-cil (2.12.10-6) ...
Removing libglib2.0-cil (2.12.10-6) ...

Ahhhhaaaaa.....they are gone now!
Many thanks.
Your English is fine.
"Tolerance is the refuge of men without conviction."
"Common sense is not so common" - Voltaire

User avatar
Joe2Shoe
Level 2
Level 2
Posts: 74
Joined: Wed Oct 18, 2017 8:12 pm
Location: Ozone

Re: Banshee Won't Install, Run, or Uninstall

Postby Joe2Shoe » Wed Nov 08, 2017 5:42 pm

sudo apt-get install banshee
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.

Running sudo dpkg --configure -a corrected all problems and Banshee installed correctly and now runs.

Thanks a mil, phd21 & minitux.
Have a great day.
"Tolerance is the refuge of men without conviction."
"Common sense is not so common" - Voltaire

User avatar
minitux
Level 5
Level 5
Posts: 677
Joined: Tue Sep 12, 2017 10:05 am

Re: Banshee Won't Install, Run, or Uninstall

Postby minitux » Wed Nov 08, 2017 5:50 pm

Joe2Shoe wrote:Ahhhhaaaaa.....they are gone now!
Many thanks.
Your English is fine.

Nice...and thanks, but my english, in most is google translate :lol: :lol:
Sorry for my English, is not my language

When you ask for support, put the output of inxi -Fxz

User avatar
Joe2Shoe
Level 2
Level 2
Posts: 74
Joined: Wed Oct 18, 2017 8:12 pm
Location: Ozone

Re: [SOLVED] Banshee Won't Install, Run, or Uninstall

Postby Joe2Shoe » Wed Nov 08, 2017 8:00 pm

Sorry that I did not add SOLVED to the description.
Thanks again.
"Tolerance is the refuge of men without conviction."
"Common sense is not so common" - Voltaire


Return to “Software & Applications”